package com.ruoyi.pay.domain.vo;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.converters.localdate.LocalDateDateConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import java.util.Date;

public class ExportBaohuoVo {
    /** 入库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelProperty(value = "日期")
    private Date instorageTime;

    /** 包活工单名称 */
    @ExcelProperty(value = "工单名称")
    private String name;

    /** 包活工单ID */
    @ExcelProperty(value = "工单ID")
    private Long woId;

    /** 产品名称 */
    @ExcelProperty(value = "产品名称")
    private String productName;

    /** 工作内容 */
    @ExcelProperty(value = "工作内容")
    private String content;

    /** 单位 */
    @ExcelProperty(value = "单位")
    private String unit;

    /** 加工数量 */
    @ExcelProperty(value = "数量")
    private BigDecimal productNum;

    /** 产品单价 */
    @ExcelProperty(value = "产品单价")
    private BigDecimal price;

    /** 加工总金额 */
    @ExcelProperty(value = "金额")
    private BigDecimal amount;

    /** 平均工资 */
    @ExcelProperty(value = "每人包活工资")
    private BigDecimal avgAmount;

    @ExcelProperty(value = "工作人数")
    private Integer workerNum;

    @ExcelProperty(value = "包活工时")
    private BigDecimal workTime;

    @ExcelProperty(value = "员工姓名")
    private String worksName;

    public Date getInstorageTime() {
        return instorageTime;
    }

    public void setInstorageTime(Date instorageTime) {
        this.instorageTime = instorageTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public BigDecimal getProductNum() {
        return productNum;
    }

    public void setProductNum(BigDecimal productNum) {
        this.productNum = productNum;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getAvgAmount() {
        return avgAmount;
    }

    public void setAvgAmount(BigDecimal avgAmount) {
        this.avgAmount = avgAmount;
    }

    public Integer getWorkerNum() {
        return workerNum;
    }

    public void setWorkerNum(Integer workerNum) {
        this.workerNum = workerNum;
    }

    public BigDecimal getWorkTime() {
        return workTime;
    }

    public void setWorkTime(BigDecimal workTime) {
        this.workTime = workTime;
    }

    public String getWorksName() {
        return worksName;
    }

    public void setWorksName(String worksName) {
        this.worksName = worksName;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Long getWoId() {
        return woId;
    }

    public void setWoId(Long woId) {
        this.woId = woId;
    }

    @Override
    public String toString() {
        return "ExportBaohuoVo{" +
            "instorageTime=" + instorageTime +
            ", name='" + name + '\'' +
            ", content='" + content + '\'' +
            ", unit='" + unit + '\'' +
            ", productNum=" + productNum +
            ", price=" + price +
            ", amount=" + amount +
            ", avgAmount=" + avgAmount +
            ", workerNum=" + workerNum +
            ", workTime=" + workTime +
            ", worksName='" + worksName + '\'' +
            '}';
    }
}

